Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Upgrade or downgrade to V2.0

Discussion in 'Phantom 2 Vision Discussion' started by RcVision, Jun 30, 2014.

  1. RcVision

    Apr 30, 2014
    Likes Received:
    I try to upgrade from V1.08 to the new one - V2.0, but get this message on the bottom side of Assistant 2.0 - "you must update main controller firmware". When I`m go to the "Upgrade" in Assistant2 I got that there is no firmware updates - [​IMG]

    I have also try to uninstall V1.08 and after install V2.0, but it does not help.
    The same problem after downgrading from V3.0 to V2.0

    If I downgrade from V3.0 to V1.08 - everything works perfect, but it is not possible to downgrade from V3.0 to V2.0

    I need version V2.0, because I need active X1 stick and gimbal which (possible) is working only in V2.0
  2. J.James

    Apr 21, 2014
    Likes Received:
    Upstate NY
    Wow I just noticed I get the same thing now after updating to the v3 and latest firmware. now it wont let me go to v2 either.

    Just 1.8 or the 3 is all that seems to work.